<?php

/**
 * Football manager for JohnCMS
 * Список свободных клубов. Подача заявки на получение клуба.
 * @author Screamer
 */

$textl = 'Свободные клубы';
require '../incfiles/head.php';

echo '<div class="phdr"><a href="?">Футбольный менеджер<b></b></a> | Получить клуб</div>';
$check_user = intval(mysql_result(mysql_query("SELECT COUNT(*) FROM `man_clubs` WHERE `uid` = '" . core::$user_id . "'"), 0));
if ($check_user > 0) {
	echo Functions::display_error('У вас уже есть клуб')
	. '<div class="phdr"><a href="?">Назад</a></div>';
} else {
	if ($id) {
		// Подаем заявку
		$check = intval(mysql_result(mysql_query("SELECT COUNT(*) FROM `man_clubs` WHERE `id` = '" . $id . "' AND `uid` = '0'"), 0));
		if ($check > 0) {
			$umod = core::$user_rights >= 7 ? ", `umod` = '1'" : "";
			mysql_query("UPDATE `man_clubs` SET `uid` = '" . core::$user_id . "'"  . $umod . " WHERE `id` = '" . $id . "'");
			echo '<div class="menu">'
				. (empty($umod)
					? 'Ваша заявка принята. Ожидайте её подтверждения администрацией'
					: 'Поздравляю! Теперь у вас есть свой клуб. <a href="?act=club&amp;id=' . $id . '">Далее&raquo;</a>'
				)
				. '</div>';
		} else {
			echo '<div class="menu">Клуб не найден</div>';
		}
		echo '<div class="phdr"><a href="?act=get_club">Назад</a></div>';
	} else {
		// Список клубов
		echo '<div class="user"><form action="?act=get_club" method="post"><b>Страна:</b><br />'
			. '<select name="mod"><option value="">--</option>';
		// Форма выбора страны
		$country_result = mysql_query("SELECT `name` FROM `man_countries`");
		while ($country = mysql_fetch_assoc($country_result)) {
			echo '<option value="' . htmlspecialchars(rawurlencode($country['name'])) . '">'
				. htmlentities($country['name'], ENT_QUOTES, 'UTF-8')
				. '</option>';
		}
		echo '</select><input type="submit" name="OK" value="OK" /></from></div>';
		$smod = '';
		$mod = !empty($mod) ? $mod : (!empty($_POST['mod']) ? trim($_POST['mod']) : '');
		if (!empty($mod)) {
			$mod = rawurldecode(htmlspecialchars_decode($mod));
			$smod = " AND `country` = '" . mysql_real_escape_string($mod) . "' ";
		}
		$total = intval(mysql_result(mysql_query("SELECT COUNT(*) FROM `man_clubs` WHERE `uid` = '0'" . $smod), 0));
		if ($total > 0) {
			$i = 0;
			$query = mysql_query(
				"SELECT `name`, `id`, `country`, `city` "
				. "FROM `man_clubs` WHERE `uid` = '0'" . $smod
				. "ORDER BY `name` ASC "
				. "LIMIT " . $start . "," . $kmess
			);
			while ($club = mysql_fetch_assoc($query)) {
				echo '<div class="list' . ($i % 2 ? '2' : '1') . '">'
					. '<a href="?act=club&amp;id=' . intval($club['id']) . '">'
					. htmlentities($club['name'], ENT_QUOTES, 'UTF-8') . '</a>'
					. '<div class="sub">Страна: <a href="?act=get_club&amp;mod=' . htmlspecialchars(rawurlencode($club['country'])) . '">'
					. htmlentities($club['country'], ENT_QUOTES, 'UTF-8') . '</a><br />'
					. 'Город: ' . htmlentities($club['city'], ENT_QUOTES, 'UTF-8') . '<br />'
					. '</div><a href="?act=get_club&amp;id=' . intval($club['id']) . '">Подать заявку</a>'
					. '</div>';
				$i++;
			}
		} else {
			echo '<div class="menu">Список пуст</div>';
		}
		echo '<div class="phdr">Всего: ' . $total . '</div>'
			. ($total > $kmess
				? '<div class="topmenu">'
					. Functions::display_pagination(
						'?act=get_club&amp;' . ($mod ? 'mod=' . htmlspecialchars(rawurlencode($mod)) . '&amp;' : ''),
						$start, $total, $kmess
					) . '</div>'
				: ''
			);
	}
}

require '../incfiles/end.php';